Arch: Rinforzo di colonna

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch Rebar ColumnReinforcement and the translation is 91% complete.

Other languages:
English • ‎français • ‎italiano

Arch Rebar ColumnReinforcement.svg Rinforzo di colonna

Posizione nel menu
Arch → Strumenti armatura
Ambiente
Arch, BIM
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Armatura elicoidale, Rinforzo di colonna tipo due staffe sei barre


Descrizione

Lo strumento Rinforzo di colonna consente all'utente di creare delle barre di rinforzo all'interno di un oggetto Struttura Colonna.

Questo comando fa parte del addon Reinforcement, che si può installare con Addon manager, tramite il menu Strumenti → Addon manager → Reinforcement.

Arch Rebar ColumnReinforcement example.png

Rinforzo di colonna all'interno di una Struttura colonna


Utilizzo

1. Selezionare una faccia di un oggetto Arch Structure.svg Struttura creato precedentemente.
2. Quindi selezionare Arch Rebar ColumnReinforcement.svg Rinforzo di colonna dagli strumenti armatura.
3. Sullo schermo appare una finestra di dialogo come mostrato sotto.

ColumnReinforcementDialog Ties.png

Finestra di dialogo per lo strumento Rinforzo di colonna


4. Selezionare il tipo di rinforzo della colonna.
5. Fornire gli input per i dati relativi alla staffatura.
6. Fare clic su Avanti per passare alla finestra di dialogo successiva.

ColumnReinforcementDialog MainRebars.png

Finestra di dialogo per i dati dell'armatura principale


7. Selezionare il tipo di armatura desiderata e riempire i dati per le armature principali.
8. Fare clic su Avanti per passare alla finestra di dialogo successiva.

ColumnReinforcementDialog XDirRebars.png

Finestra di dialogo per i dati Armature di direzione X.


9. Selezionare il tipo di armatura desiderata e compilare i dati per le armature in direzione x.
10. Fare clic su Avanti per passare alla finestra di dialogo successiva.

ColumnReinforcementDialog YDirRebars.png

Finestra di dialogo per i dati Armature di direzione Y.


11. Selezionare il tipo di armatura desiderata e compilare i dati per le armature in direzione y.
12. Cliccare su OK o su Applica per generare il rinforzo della colonna.
13. Cliccare su Cancella per uscire dalla finestra di dialogo.


Proprietà

Staffe:

  • DATALeft Cover: La distanza tra l'estremità sinistra della staffa e la faccia sinistra della struttura - copriferro sul lato sinistro.
  • DATARight Cover: La distanza tra l'estremità destra della staffa e la faccia destra della struttura - copriferro sul lato destro.
  • DATATop Cover: La distanza tra la staffa e la faccia posteriore della struttura.
  • DATABottom Cover: La distanza tra la staffa e la faccia anteriore della struttura.
  • DATAOffset: La distanza tra la staffa e la faccia superiore e inferiore della struttura.
  • DATADiameter: Diametro del tondino della staffa.
  • DATABent Angle: L'angolo di piega definisce l'angolo alle estremità della staffa.
  • DATAExtension Factor: Il fattore di estensione definisce la lunghezza dell'estremità della staffa, espressa in volte il diametro.
  • DATANumber: Numero di staffe.
  • DATASpacing: La distanza tra gli assi di ciascuna staffa.

Main Rebars: Tondini per cemento armato posizionati negli angoli della staffa

  • DATARebar Type: Tipo di armatura principale.
  • DATAHook Orientation: Orientamento dei ganci a forma di L.
  • DATAHook Extend Along: Direzione per l'estensione del gancio.
  • DATAHook Extension: Lunghezza del gancio delle armature a forma di L.
  • DATARounding: Un valore di arrotondamento da applicare agli angoli delle armature a forma di L, espresso in volte il diametro.
  • DATATop Offset: La distanza tra l'armatura e la faccia superiore della struttura.
  • DATABottom Offset: La distanza tra l'armatura e la faccia inferiore della struttura.
  • DATADiameter: Diametro delle armature principali.

XDir Secondary Rebars: Armatura lungo la direzione x esclusa l'armatura principale.

  • DATARebar Type: Tipo di armatura in direzione x.
  • DATAHook Orientation: Orientamento dei ganci a forma di L.
  • DATAHook Extension: Lunghezza del gancio delle armature a forma di L.
  • DATARounding: Un valore di arrotondamento da applicare agli angoli delle armature a forma di L, espresso in volte il diametro.
  • DATATop Offset: La distanza tra l'armatura e la faccia superiore della struttura.
  • DATABottom Offset: La distanza tra l'armatura e la faccia inferiore della struttura.
  • DATANumber#Diameter: Numero#Diametro del gruppo di armature in direzione x.

YDir Secondary Rebars: Armatura lungo la direzione y esclusa l'armatura principale.

  • DATARebar Type: Tipo di armatura in direzione y.
  • DATAHook Orientation: Orientamento dei ganci a forma di L.
  • DATAHook Extension: Lunghezza del gancio delle armature a forma di L.
  • DATARounding: Un valore di arrotondamento da applicare agli angoli delle armature a forma di L, espresso in volte il diametro.
  • DATATop Offset: La distanza tra l'armatura e la faccia superiore della struttura.
  • DATABottom Offset: La distanza tra l'armatura e la faccia inferiore della struttura.
  • DATANumber#Diameter: Numero#Diametro del gruppo di armature in direzione y.


Script

Vedere anche: API Arch, API Reinforcement e Script di base per FreeCAD.

Lo strumento Rinforzo di colonna può essere utilizzato nelle macro e dalla console Python tramite la seguente funzione:

Creare una singola staffa e quattro barre

RebarGroup = makeSingleTieFourRebars(
    l_cover_of_tie,
    r_cover_of_tie,
    t_cover_of_tie,
    b_cover_of_tie,
    offset_of_tie,
    bent_angle,
    extension_factor,
    dia_of_tie,
    number_spacing_check,
    number_spacing_value,
    dia_of_rebars,
    t_offset_of_rebars,
    b_offset_of_rebars,
    rebar_type="StraightRebar",
    hook_orientation="Top Inside",
    hook_extend_along="x-axis",
    l_rebar_rounding=None,
    hook_extension=None,
    structure=None,
    facename=None,
).rebar_group
  • Creates a RebarGroup object from the given structure, which is an Arch Structure, and facename, which is a face of that structure.
    • If no structure nor facename are given, it will take the user selected face as input.
  • l_cover_of_tie, r_cover_of_tie, t_cover_of_tie, b_cover_of_tie and offset_of_tie are inner offset distances for the tie elements with respect to the faces of the structure. They are respectively the left, right, top, bottom and front/rear offsets.
  • bent_angle define the angle of the tip of the reinforcement loop.
  • extension_factor define the length of the tip of the reinforcement loop, expressed in times the diameter.
  • dia_of_tie is the diameter of the ties.
  • number_spacing_check if it is True it will create as many ties as given by number_spacing_value; if it is False it will create ties separated by the numerical value of number_spacing_value.
  • number_spacing_value specifies the number of ties, or the value of the separation between them, depending on number_spacing_check.
  • dia_of_rebars is the diameter of the main rebars.
  • t_offset_of_rebars and b_offset_of_rebars are inner offset distances for the main rebars with respect to the top and bottom faces of the structure, respectively.
  • rebar_type is the type of the main rebars; it can be "StraightRebar" or "LShapeRebar".
  • hook_orientation specifies the orientation of LShaped hook; it can be: "Top Inside", "Top Outside", "Bottom Inside", "Bottom Outside", "Top Right", "Top Left", "Bottom Right" or "Bottom Left".
  • hook_extend_along specifies direction for hook extension; it can be "x-axis" or "y-axis".
  • l_rebar_rounding is the parameter that determines the bending radius of the LShaped main rebars, expressed as times the diameter.
  • hook_extension is the length of hook of LShaped rebars.

Esempio

import FreeCAD, Draft, Arch
from ColumnReinforcement import SingleTie

# Non funziona se la struttura non si basa su una faccia
# Structure = Arch.makeStructure(length=1000, width=400, height=400)

Rect = Draft.makeRectangle(400, 400)
Structure = Arch.makeStructure(Rect, height=1600)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

# Per armature diritte
RebarGroup = SingleTie.makeSingleTieFourRebars(
    l_cover_of_tie=40,        
    r_cover_of_tie=40,
    t_cover_of_tie=40,
    b_cover_of_tie=40,
    offset_of_tie=100,
    bent_angle=135,
    extension_factor=2,
    dia_of_tie=8,
    number_spacing_check=True,
    number_spacing_value=10,
    dia_of_rebars=16,
    t_offset_of_rebars=40,
    b_offset_of_rebars=40,
    rebar_type="StraightRebar",
    hook_orientation="Top Inside",
    hook_extend_along="x-axis",
    l_rebar_rounding=None,
    hook_extension=None,
    structure=Structure,
    facename="Face6",
).rebar_group

# Per barre a forma di L con gancio lungo l'asse x
RebarGroup = SingleTie.makeSingleTieFourRebars(
    l_cover_of_tie=40,        
    r_cover_of_tie=40,
    t_cover_of_tie=40,
    b_cover_of_tie=40,
    offset_of_tie=100,
    bent_angle=135,
    extension_factor=2,
    dia_of_tie=8,
    number_spacing_check=True,
    number_spacing_value=10,
    dia_of_rebars=16,
    t_offset_of_rebars=-40,
    b_offset_of_rebars=-40,
    rebar_type="LShapeRebar",
    hook_orientation="Top Outside",
    hook_extend_along="x-axis",
    l_rebar_rounding=2,
    hook_extension=40,
    structure=Structure,
    facename="Face6",
).rebar_group

# Per barre a forma di L con gancio lungo l'asse y
RebarGroup = SingleTie.makeSingleTieFourRebars(
    l_cover_of_tie=40,        
    r_cover_of_tie=40,
    t_cover_of_tie=40,
    b_cover_of_tie=40,
    offset_of_tie=100,
    bent_angle=135,
    extension_factor=2,
    dia_of_tie=8,
    number_spacing_check=True,
    number_spacing_value=10,
    dia_of_rebars=16,
    t_offset_of_rebars=-40,
    b_offset_of_rebars=-40,
    rebar_type="LShapeRebar",
    hook_orientation="Top Outside",
    hook_extend_along="y-axis",
    l_rebar_rounding=2,
    hook_extension=40,
    structure=Structure,
    facename="Face6",
).rebar_group


Creare una singola staffa e multiple barre

RebarGroup = makeSingleTieMultipleRebars(
    l_cover_of_tie,
    r_cover_of_tie,
    t_cover_of_tie,           
    b_cover_of_tie,                      
    offset_of_tie,                       
    bent_angle,                          
    extension_factor,
    dia_of_tie,     
    number_spacing_check,
    number_spacing_value,
    dia_of_main_rebars,
    main_rebars_t_offset,
    main_rebars_b_offset,
    main_rebars_type="StraightRebar",
    main_hook_orientation="Top Inside",
    main_hook_extend_along="x-axis",
    l_main_rebar_rounding=None,
    main_hook_extension=None,
    sec_rebars_t_offset=None,
    sec_rebars_b_offset=None,
    sec_rebars_number_diameter=None,
    sec_rebars_type=("StraightRebar", "StraightRebar"),
    sec_hook_orientation=("Top Inside", "Top Inside"),
    l_sec_rebar_rounding=None,
    sec_hook_extension=None,
    structure=None,
    facename=None,
)
  • Creates a RebarGroup object from the given structure, which is an Arch Structure, and facename, which is a face of that structure.
    • If no structure nor facename are given, it will take the user selected face as input.
  • l_cover_of_tie, r_cover_of_tie, t_cover_of_tie, b_cover_of_tie and offset_of_tie are inner offset distances for the tie elements with respect to the faces of the structure. They are respectively the left, right, top, bottom and front/rear offsets.
  • bent_angle define the angle of the tip of the reinforcement loop.
  • extension_factor define the length of the tip of the reinforcement loop, expressed in times the diameter.
  • dia_of_tie is the diameter of the ties.
  • number_spacing_check if it is True it will create as many ties as given by number_spacing_value; if it is False it will create ties separated by the numerical value of number_spacing_value.
  • number_spacing_value specifies the number of ties, or the value of the separation between them, depending on number_spacing_check.
  • dia_of_main_rebars is the diameter of the main rebars.
  • main_rebars_t_offset and main_rebars_b_offset are inner offset distances for the main rebars with respect to the top and bottom faces of the structure, respectively.
  • main_rebars_type is the type of the main rebars; it can be "StraightRebar" or "LShapeRebar".
  • main_hook_orientation specifies the orientation of main LShaped hook; it can be: "Top Inside", "Top Outside", "Bottom Inside", "Bottom Outside", "Top Right", "Top Left", "Bottom Right" or "Bottom Left".
  • main_hook_extend_along specifies direction for main hook extension; it can be "x-axis" or "y-axis".
  • l_main_rebar_rounding is the parameter that determines the bending radius of the LShaped main rebars, expressed as times the diameter.
  • main_hook_extension is the length of hook of main LShaped rebars.
  • sec_rebars_t_offset and sec_rebars_b_offset are tuples (xdir_rebars_t_offset, ydir_rebars_t_offset) and (xdir_rebars_b_offset, ydir_rebars_b_offset) respectively, that defines inner offset distances for the secondary x-direction and y-direction rebars with respect to the top and bottom faces of the structure, respectively.
  • sec_rebars_number_diameter is a tuple (xdir_rebars_number_diameter, ydir_rebars_number_diameter) that defines number#diameter set of the secondary x-direction and y-direction rebars, respectively.
  • sec_rebars_type is a tuple (xdir_rebars_type, ydir_rebars_type) that defines the type of secondary x-direction and y-direction rebars ,respectively; it can have "StraightRebar" or "LShapeRebar" as rebar type.
  • sec_hook_orientation is a tuple (xdir_hook_orientation, ydir_hook_orientation) that defines the orientation of secondary x-direction and y-direction LShaped hook; it can have "Top Inside", "Top Outside", "Bottom Inside", "Bottom Outside", "Top Right", "Top Left", "Bottom Right" or "Bottom Left" as hook_orientation.
  • l_sec_rebar_rounding is a tuple (l_xdir_rebar_rounding, l_ydir_rebar_rounding) that determines the bending radius of the LShaped secondary x-direction and y-direction LShaped rebars, expressed as times the diameter of x-direction and y-direction LShaped rebars, respectively.
  • sec_hook_extension is a tuple (xdir_hook_extension, ydir_hook_extension) that defines the length of hook of secondary x-direction and y-direction LShaped rebars.

Esempio

import FreeCAD, Draft, Arch
from ColumnReinforcement import SingleTieMultipleRebars

# Non funziona se la struttura non si basa su una faccia
# Structure = Arch.makeStructure(length=1000, width=400, height=400)

Rect = Draft.makeRectangle(400, 400)
Structure = Arch.makeStructure(Rect, height=1600)
Structure.ViewObject.Transparency = 80
FreeCAD.ActiveDocument.recompute()

RebarGroup = SingleTieMultipleRebars.makeSingleTieMultipleRebars(
    l_cover_of_tie=40,        
    r_cover_of_tie=40,
    t_cover_of_tie=40,
    b_cover_of_tie=40,
    offset_of_tie=100,
    bent_angle=135,
    extension_factor=2,
    dia_of_tie=8,
    number_spacing_check=True,
    number_spacing_value=10,
    dia_of_main_rebars=16,
    main_rebars_t_offset=-40,
    main_rebars_b_offset=-40,
    main_rebars_type="LShapeRebar",
    main_hook_orientation="Top Outside",
    main_hook_extend_along="x-axis",
    l_main_rebar_rounding=2,
    main_hook_extension=40,
    sec_rebars_t_offset=(-40, -40),
    sec_rebars_b_offset=(-40, -40),
    sec_rebars_number_diameter=("2#20mm+1#16mm+2#20mm", "1#20mm+1#16mm+1#20mm"),
    sec_rebars_type=("LShapeRebar", "LShapeRebar"),
    sec_hook_orientation=("Top Outside", "Top Outside"),
    l_sec_rebar_rounding=(2, 2),
    sec_hook_extension=(40, 40),
    structure=Structure,
    facename="Face6",
)

Modifica di una singola staffa e quattro barre

È possibile modificare le proprietà della staffa e delle barre con la seguente funzione:

rebar_group = editSingleTieFourRebars(
    rebar_group,
    l_cover_of_tie,
    r_cover_of_tie,    
    t_cover_of_tie,           
    b_cover_of_tie,
    offset_of_tie,
    bent_angle,
    extension_factor,
    dia_of_tie,
    number_spacing_check,
    number_spacing_value,
    dia_of_rebars,
    t_offset_of_rebars,
    b_offset_of_rebars,
    rebar_type="StraightRebar",
    hook_orientation="Top Inside",
    hook_extend_along="x-axis",
    l_rebar_rounding=None,
    hook_extension=None,
    structure=None,
    facename=None,
)
  • rebar_group is a previously created ColumnReinforcement group object.
  • The other parameters are the same as required by the makeSingleTieFourRebars() function.
  • structure and facename may be omitted so that the rebar stays in the original structure.

Esempio

from ColumnReinforcement import SingleTie

rebar_group = SingleTie.editSingleTieFourRebars(
    rebar_group,                                
    l_cover_of_tie=40,        
    r_cover_of_tie=40,
    t_cover_of_tie=40,
    b_cover_of_tie=40,
    offset_of_tie=100,
    bent_angle=135,
    extension_factor=2,
    dia_of_tie=8,
    number_spacing_check=True,
    number_spacing_value=10,
    dia_of_rebars=16,
    t_offset_of_rebars=-40,
    b_offset_of_rebars=-40,
    rebar_type="LShapeRebar",
    hook_orientation="Top Outside",
    hook_extend_along="x-axis",
    l_rebar_rounding=2,
    hook_extension=40,
    structure=None,
    facename=None,
)

Modifica di una singola staffa e multiple barre

È possibile modificare le proprietà della staffa e delle barre con la seguente funzione:

rebar_group = editSingleTieMultipleRebars(
    rebar_group,
    l_cover_of_tie,      
    r_cover_of_tie,       
    t_cover_of_tie,                       
    b_cover_of_tie,                       
    offset_of_tie,                        
    bent_angle,
    extension_factor,
    dia_of_tie,
    number_spacing_check,
    number_spacing_value,
    dia_of_main_rebars,
    main_rebars_t_offset,
    main_rebars_b_offset,
    main_rebars_type="StraightRebar",
    main_hook_orientation="Top Inside",
    main_hook_extend_along="x-axis",
    l_main_rebar_rounding=None,
    main_hook_extension=None,
    sec_rebars_t_offset=None,
    sec_rebars_b_offset=None,
    sec_rebars_number_diameter=None,
    sec_rebars_type=("StraightRebar", "StraightRebar"),
    sec_hook_orientation=("Top Inside", "Top Inside"),
    l_sec_rebar_rounding=None,
    sec_hook_extension=None,
    structure=None,
    facename=None,
)
  • rebar_group is a previously created ColumnReinforcement group object.
  • The other parameters are the same as required by the makeSingleTieMultipleRebars() function.
  • structure and facename may be omitted so that the reinforcement stays in the original structure.

Esempio

from ColumnReinforcement import SingleTieMultipleRebars

rebar_group = SingleTieMultipleRebars.editSingleTieMultipleRebars(
    rebar_group,                                
    l_cover_of_tie=40,        
    r_cover_of_tie=40,
    t_cover_of_tie=40,
    b_cover_of_tie=40,
    offset_of_tie=100,
    bent_angle=135,
    extension_factor=2,
    dia_of_tie=8,
    number_spacing_check=True,
    number_spacing_value=10,
    dia_of_main_rebars=16,
    main_rebars_t_offset=-40,
    main_rebars_b_offset=-40,
    main_rebars_type="LShapeRebar",
    main_hook_orientation="Top Outside",
    main_hook_extend_along="x-axis",
    l_main_rebar_rounding=2,
    main_hook_extension=40,
    sec_rebars_t_offset=(-40, -40),
    sec_rebars_b_offset=(-40, -40),
    sec_rebars_number_diameter=("2#20mm+1#16mm+2#20mm", "1#20mm+1#16mm+1#20mm"),
    sec_rebars_type=("StraightRebar", "StraightRebar"),
    sec_hook_orientation=None,
    l_sec_rebar_rounding=None,
    sec_hook_extension=None,
    structure=None,
    facename=None,
)